Name:          cpufrequtils
Version:       008
Release:       1mamba
Summary:       Tools used to view current CPUfreq settings and to modify them
Group:         System/Kernel and Hardware
Vendor:        openmamba
Distribution:  openmamba
Packager:      Silvan Calarco <silvan.calarco@mambasoft.it>
URL:           http://www.kernel.org/pub/linux/utils/kernel/cpufreq/cpufrequtils.html
Source:        http://www.kernel.org/pub/linux/utils/kernel/cpufreq/cpufrequtils-%{version}.tar.xz
License:       GPL
## AUTOBUILDREQ-BEGIN
BuildRequires: glibc-devel
## AUTOBUILDREQ-END
Requires:      libcpufreq = %{?epoch:%epoch:}%{version}-%{release}
BuildRoot:     %{_tmppath}/%{name}-%{version}-root

%description
Tools used to view current CPUfreq settings and to modify them.

%package -n libcpufreq
Summary:       A library used to determine current CPUfreq settings and to modify them
Group:         System/Libraries

%description -n libcpufreq
To make access to the Linux kernel cpufreq subsystem easier for users and cpufreq userspace tools, a cpufrequtils package was created. It contains a library used by other programs (libcpufreq), command line tools to determine current CPUfreq settings and to modify them (cpufreq-info and cpufreq-set), and debug tools.

This package contains static libraries and header files need for development.

%package -n libcpufreq-devel
Summary:       Devel package for %{name}
Group:         Development/Libraries
Requires:      libcpufreq = %{?epoch:%epoch:}%{version}-%{release}

%description -n libcpufreq-devel
To make access to the Linux kernel cpufreq subsystem easier for users and cpufreq userspace tools, a cpufrequtils package was created. It contains a library used by other programs (libcpufreq), command line tools to determine current CPUfreq settings and to modify them (cpufreq-info and cpufreq-set), and debug tools.

This package contains static libraries and header files need for development.

%prep
%setup -q

%build
make LIBTOOL_OPT="--tag C"

%install
[ "%{buildroot}" != / ] && rm -rf %{buildroot}
%makeinstall mandir=%{_mandir} libdir=%{_libdir}

%find_lang %{name}

%clean
[ "%{buildroot}" != / ] && rm -rf %{buildroot}

%files -f %{name}.lang
%defattr(-,root,root)
%{_bindir}/cpufreq-aperf
%{_bindir}/cpufreq-info
%{_bindir}/cpufreq-set
%{_mandir}/man1/cpufreq-info*
%{_mandir}/man1/cpufreq-set*
%doc AUTHORS COPYING README

%files -n libcpufreq
%defattr(-,root,root)
%{_libdir}/libcpufreq.so.*

%files -n libcpufreq-devel
%defattr(-,root,root)
%{_includedir}/*.h
%{_libdir}/libcpufreq.so

%changelog
* Thu Feb 13 2020 Silvan Calarco <silvan.calarco@mambasoft.it> 008-1mamba
- update to 008

* Fri Jan 02 2015 Automatic Build System <autodist@mambasoft.it> 007-2mamba
- automatic rebuild by autodist

* Thu Apr 15 2010 Automatic Build System <autodist@mambasoft.it> 007-1mamba
- automatic update by autodist

* Wed Jan 13 2010 Automatic Build System <autodist@mambasoft.it> 006-1mamba
- automatic update by autodist

* Mon Dec 01 2008 Silvan Calarco <silvan.calarco@mambasoft.it> 005-1mamba
- automatic update by autodist

* Wed Jan 23 2008 Silvan Calarco <silvan.calarco@mambasoft.it> 0.4-2mamba
- specfile fixes

* Tue Feb 21 2006 Silvan Calarco <silvan.calarco@mambasoft.it> 0.4-1qilnx
- package created by autospec
